Associated revisions
Revision 02e7cbe8 - 11/26/2012 08:17 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision b9b19c26 - 11/26/2012 08:30 PM - J. Moringen

Ignore proto files whose names start with "__"

refs #1263

    -  project/codeCheck.py: ignore proto files whose names start with "__"
Revision c28244cc - 11/27/2012 01:53 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision b076482e - 11/29/2012 03:09 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls

04/20/2024 2/16



  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 50ada5c4 - 12/06/2012 06:10 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 6c257b99 - 01/14/2013 07:45 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 632ee5c2 - 04/29/2013 04:53 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision e18c207e - 08/19/2013 11:56 AM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types
fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 1de6327d - 12/01/2013 08:16 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

refs #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision a87603d3 - 12/20/2013 03:11 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision ca31778b - 01/16/2014 04:07 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains
    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision f61b4f92 - 01/24/2014 07:22 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision ddbf93d7 - 05/09/2014 08:25 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

refs #1263

The process is as follows
1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision b2694108 - 01/08/2015 10:24 AM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns
Revision 5f1f3a76 - 01/08/2015 10:33 AM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision a36b26be - 04/29/2015 02:58 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 2424a9b7 - 04/29/2015 04:39 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 1f232237 - 09/03/2015 04:01 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 61db480f - 10/02/2015 04:48 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 5d494ae1 - 03/02/2016 07:44 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types
fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 1f6d6f0b - 03/02/2016 07:51 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 6e467fe8 - 06/09/2016 11:05 AM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 0298a559 - 06/09/2016 11:22 AM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains
    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 75da9953 - 11/07/2016 07:04 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 5f9f3f6b - 11/07/2016 07:12 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows
1. For each domain (e.g. stable, sandbox), collect a list of IDL files
   via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta-doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

Revision 6efffc62 - 01/17/2017 05:21 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox, deprecated), collect a list
   of IDL files via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns
Revision 4e0366cc - 01/19/2017 12:58 PM - J. Moringen

Use rosetta-doc tool to generate descriptions of data types

fixes #1263

The process is as follows

1. For each domain (e.g. stable, sandbox, deprecated), collect a list
   of IDL files via e.g. "/proto/${DOMAIN}/**/*.proto" 
2. Call rosetta doc on these files producing the respective
   e.g. "/generated/${DOMAIN}/**/*.rst" files
3. Call sphinx-build to generate HTML or some other output based on
   the manually written "/*.rst" and "/generated/**/*.rst"

    -  data-types.rst: removed static description of RST packages; instead
  include generated documentation for "stable" and "sandbox" domains

    -  conf.py.in: added graphviz extension which is required by
  rosetta-doc; added intersphinx entry for the rosetta manual

    -  CMakeLists.txt: find rosetta-doc program; added RSB_MANUAL_DIR and
  ROSETTA_MANUAL_DIR; added function document_domain which calls
  rosetta-doc on all IDL files of a domain; call document_domain for
  stable and sandbox domains; let sphinx-build targets depend on
  generated rst files

    -  _static/message.svg: new file; icon for message definitions
    -  _static/package.svg: new file; icon for package definitions
    -  _templates/links.html.in: added link to rosetta manual
    -  corlab/static/corlab.css: added styles for message and package lists
    -  .gitignore: added directory "/generated" to ignore patterns

History
#1 - 11/26/2012 06:28 PM - J. Moringen
- Tracker changed from Bug to Tasks
- % Done changed from 0 to 50

#2 - 11/26/2012 10:21 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset rst-manual|commit:02e7cbe84138955f523f60f46e1c2a6a9da29669.
